lost my zp-data/zenphoto.cfg.php

hi
während eines Update auf 1.5. ist mir die DB-Zugangsdaten verloren gegangen. Nun habe ich mir den zp-data/zenphoto.cfg.php file neu eingesetzt, aber die Installationsscripte kommen nicht weiter:

"Das Installationsprogramm konnte diese Datei nicht erstellen. Sie müssen daher die Datei zp-core/zenphoto_cfg.txt nach zp-data/zenphoto.cfg.phpkopieren und dann wie in den Dateikommentaren beschrieben ändern. "

bitte um Hilfe, torsten

Tags:

Comments

  • acrylian Administrator

    Please post in English. Thanks.

  • hi,
    while upgrading to 1.5. I lost my zenphoto.cfg.php.
    Th installation script does not recon this file now
    "Das Installationsprogramm konnte diese Datei nicht erstellen. Sie müssen daher die Datei zp-core/zenphoto_cfg.txt nach zp-data/zenphoto.cfg.phpkopieren und dann wie in den Dateikommentaren beschrieben ändern. "
    The file ist at the location and edit with pswd+user for mysqql. any help?

  • fretzl Administrator

    Is the filename correct? (i.e. zenphoto.cfg.php)

  • Thank you for the answer, seems to be correct

  • leiferikson Member
    edited June 25

    I have tried to install an Backuo-File wich was served by the webhost. I copied this files to the web-path of my side.
    In the browser is to read:
    "
    Zenphoto has detected a change in your installation.

    Zenphoto 1.4.14[f5b47da52f] has been copied over an unknown release.
    

    The change detected is critical. You must run setup for your site to function.
    "
    but when I clic "setup" there ist a blank white screen.
    "http://www.xyz.de/gallery/zp-core/setup.php?autorun=gallery&xsrfToken=37c04ecbd501281870825a9f5a9a8e7e886bf0a5"
    Any help?

  • acrylian Administrator

    Check your server error logs, could be a lot of things. Since you mentioned an install via your webhost, please try the install as described on our site. These installers webhosts use don't always work as they should.

  • MY problem is, the webserver supports php 5.4.xx and the zenphoto 1.5 needs php 5.6 .. so I tried to reinstall and old version of zp

  • acrylian Administrator

    Actually not true, please read the setup note closely. 1.5 "wants" 5.6 or 7+ but it will still let you install it on 5.4. In any case you respectively your webhost needs to upgrade since in the future it will require it.

    But regardless of the PHP version, please review the error log. Otherwise all is guessing around.

  • hi acrylian
    so now I copied a "zp-core" folder (1.4.9 version) on my webside and got the setup running. Setup was ok and I could get into my website to the admin section. DB looks ok, Images and pages are listed and I can edit them.
    On the Frontend-Side there is the index-page, images and menu structure ist shown. but if you clic on any item, there is an

    --
    Not Found

    The requested URL /gallery/illustrations/ was not found on this server.

    Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request.

    Apache/2.2.22 (Debian) Server at .com Port 80

    can you give a hint?
    THX Torsten

  • acrylian Administrator
    edited July 3

    This looks like a server side issue. Maybe you have modrewrite enabled and your server does not support it. Or you have no valid htaccess file.
    Isn't there anything more in the php server error log or ZP's own debug log?

    In any case you should not only copy the zp-core folder but also the official themes and the root index.php file as describe on our installation page. We also don't test downgrades in case any database change is not compatible with older releases (there should be no major ones but well we don't test it).

    Also please note that we don't support old releases like 1.4.9 anymore. In case the issue is related to that.

  • Hey, it works. Still some problems with the cache but it is running. THX

  • acrylian Administrator

    Great. What cache do you have problems with?

  • Sometimes there is
    "Zenphoto hat eine Änderung Ihrer Installation festgestellt.

    Ihre Installation wurde von /var/www/xyz.de/web/gallery nach /var/www/clients/client4/web58/web/gallery verschoben.
    Die erkannte Änderung ist kritisch. Sie müssen setup ausführen, damit Ihre Site funktioniert."
    but when I do a reload it is ok.

  • acrylian Administrator

    That is normal whenever any change is detected either on the server config (version change with PHP or else) or certain core files. It sometimes looks a bit random but it is for you to decide how critical that is. This indicates you moved your install so this should not frequently occur with the same message.

    (please if reporting issues always try to switch to the native English. I do understand German but others don't).

  • Well I hope that my Server will do soon an update php then I will go for the next version 1.5.

Sign In or Register to comment.